OptFEM3DP1 Toolbox: ElemMat/ElemStiffMat3DVecP1D0.m File Reference

| OptFEM3DP1 Toolbox 20130618_070730 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 3D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Variables Pages
Functions
ElemStiffMat3DVecP1D0.m File Reference

NAME [Kg]=ElemStiffMat3DVecP1D0(q,me,areas) INPUTS q : matrix 2 x nq me : matrix 3 x nme volumes : vector 1 x nme (elements volume) OUTPUTS Kg : matrix 16x nme DESCRIPTION Compute P1-Lagrange Kg array for Stiff matrix (see report). Numbering of local points in reference element is :

## P=[(0, 0, 0), (1, 0, 0), (0, 1, 0), (0, 0, 1)]

Automatic generation with sage (c) Cuvelier F. email:cuvel.nosp@m.ier@.nosp@m.math..nosp@m.univ.nosp@m.-pari.nosp@m.s13..nosp@m.fr Copyright: See License issues. More...

Go to the source code of this file.

## Functions
function Kg = | ElemStiffMat3DVecP1D0 (q, me, volumes)
| NAME [Kg]=ElemStiffMat3DVecP1D0(q,me,areas) INPUTS q : matrix 2 x nq me : matrix 3 x nme volumes : vector 1 x nme (elements volume) OUTPUTS Kg : matrix 16x nme DESCRIPTION Compute P1-Lagrange Kg array for Stiff matrix (see report). Numbering of local points in reference element is : ## P=[(0, 0, 0), (1, 0, 0), (0, 1, 0), (0, 0, 1)] Automatic generation with sage (c) Cuvelier F. email:cuvel.nosp@m.ier@.nosp@m.math..nosp@m.univ.nosp@m.-pari.nosp@m.s13..nosp@m.fr Copyright: See License issues.

## Detailed Description

NAME [Kg]=ElemStiffMat3DVecP1D0(q,me,areas) INPUTS q : matrix 2 x nq me : matrix 3 x nme volumes : vector 1 x nme (elements volume) OUTPUTS Kg : matrix 16x nme DESCRIPTION Compute P1-Lagrange Kg array for Stiff matrix (see report). Numbering of local points in reference element is :

## P=[(0, 0, 0), (1, 0, 0), (0, 1, 0), (0, 0, 1)]

Automatic generation with sage (c) Cuvelier F. email:cuvel.nosp@m.ier@.nosp@m.math..nosp@m.univ.nosp@m.-pari.nosp@m.s13..nosp@m.fr Copyright: See License issues.

Definition in file ElemStiffMat3DVecP1D0.m.

## Function Documentation

function Kg = ElemStiffMat3DVecP1D0 | ( |  | q,
|  |  | me,
|  |  | volumes
| ) |  |

NAME [Kg]=ElemStiffMat3DVecP1D0(q,me,areas) INPUTS q : matrix 2 x nq me : matrix 3 x nme volumes : vector 1 x nme (elements volume) OUTPUTS Kg : matrix 16x nme DESCRIPTION Compute P1-Lagrange Kg array for Stiff matrix (see report). Numbering of local points in reference element is :

## P=[(0, 0, 0), (1, 0, 0), (0, 1, 0), (0, 0, 1)]

Automatic generation with sage (c) Cuvelier F. email:cuvel.nosp@m.ier@.nosp@m.math..nosp@m.univ.nosp@m.-pari.nosp@m.s13..nosp@m.fr Copyright: See License issues.

Definition at line 17 of file ElemStiffMat3DVecP1D0.m.